# Check if the player is already contracted
execute as @s if entity @s[tag=contracted] run tellraw @s {"text":"You are already contracted to another contractor!"}

# If the player isn't contracted, assign them the contractor ID and set the contract_id scoreboard
execute as @s if entity @s[tag=!contracted] run execute as @s if score @a[distance=..3,limit=1] contractor_id = @s contract_offered run scoreboard players operation @s contract_id = @s contract_offered

#Grants contract
execute as @s if entity @s[tag=!contracted] run execute as @s if score @a[distance=..3,limit=1] contract_id = @s contract_offered run power grant @s hellsgate:mixed/contracted/tier_0

# Increase contrator's soul count as long as they are within range and have not already been contracted.
execute as @s[tag=!contracted] if score @a[distance=..3,limit=1] contractor_id = @s contract_id run execute as @a[tag=contractor,distance=..3,limit=1] if score @s contractor_id = @a[distance=..3,limit=1] contract_id run resource change @s hellsgate:pro/devil/contract/grants/total_souls 1

# Resets scoreboards
scoreboard players reset @s contract_offered
scoreboard players set @s 0_trigger 0

# Apply the "contracted" tag to the player
execute as @s if score @s contract_id matches 1.. run tag @s add contracted
