# Create the scoreboard for contract_id (if it doesn't exist yet)
scoreboard objectives add contract_id dummy "Contract ID"

# Create the scoreboard for contractor_id (if it doesn't exist yet)
scoreboard objectives add contractor_id dummy "Contractor ID"

# Create the scoreboard for next_contractor_id (if it doesn't exist yet)
scoreboard objectives add next_contractor_id dummy "Next Contractor ID"

# Create the scoreboard for contract_offered (if it doesn't exist yet)
scoreboard objectives add contract_offered dummy "Contract Offered"

# Create the scoreboard for contract_offered (if it doesn't exist yet)
scoreboard objectives add contracted_souls dummy "Contracted Souls"

# Create the scoreboards for the contract triggers (if it doesn't exist yet)
scoreboard objectives add 0_trigger trigger "Tier 0 Contract Trigger"
scoreboard objectives add 1_trigger trigger "Tier 1 Contract Trigger"
scoreboard objectives add 2_trigger trigger "Tier 2 Contract Trigger"
scoreboard objectives add 3_trigger trigger "Tier 3 Contract Trigger"
scoreboard objectives add 4_trigger trigger "Tier 4 Contract Trigger"
scoreboard objectives add 5_trigger trigger "Tier 5 Contract Trigger"

# Create the scoreboard for contract_tier (If it doesn't exist yet)
scoreboard objectives add contract_tier dummy "Contract Tier"

# Create the scoreboard for contract_trigger (if it doesn't exist yet)
scoreboard objectives add contract_tp_cd dummy "Contract TP CD"

# Create the armor stand for tracking the next contractor ID, if it doesn't exist
execute unless entity @e[tag=contractor_id_tracker,limit=1] run summon armor_stand ~ ~ ~ {CustomName:"\"ContractorIDTracker\"",Invisible:1,Invulnerable:1,Tags:["contractor_id_tracker"]}

# Only set next_contractor_id to 1000 if it is currently 0
scoreboard players add @e[tag=contractor_id_tracker] next_contractor_id 0
execute as @e[tag=contractor_id_tracker,limit=1] if score @e[tag=contractor_id_tracker,limit=1] next_contractor_id matches 0 run scoreboard players set @e[tag=contractor_id_tracker,limit=1] next_contractor_id 1000

#Grant tracker immunity to death
power grant @e[tag=contractor_id_tracker,limit=1] hellsgate:pro/devil/contract/tracker_godhood

# Optionally display a message to indicate initialization (for debugging or confirmation)
tellraw @s {"text":"§aContract ID system initialized!"}